=== debian/changelog ===
qca2 (2.3.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update symbols files.
  * Update the patches:
    - pipeunittest_more_wait.diff: refresh
  * Improve the CMakeLists.txt skeleton of the ciphertest autopkgtest:
    - bump the cmake_minimum_required() to 3.18
    - set the CXX language in project()

 -- Pino Toscano <pino@debian.org>  Fri, 14 Mar 2025 05:06:01 +0100
