## qca2 2.3.10+p24.04+vunstable+git20250512.0858

=== debian/changelog ===
qca2 (2.3.10+p24.04+vunstable+git20250512.0858-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 12 May 2025 08:58:12 +0000

qca2 (2.3.10-0neon) noble; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Mar 2025 10:22:28 +0000

qca2 (2.3.8-1) jammy; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Jan 2024 22:41:59 +0100

qca2 (2.3.5-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Riddell <jr@jriddell.org>  Fri, 21 Oct 2022 20:11:48 +0100
