=== debian/control ===
--- 
+++ 
@@ -1,28 +1,31 @@
 Source: qca2
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: ca-certificates,
-               cmake (>= 3.16~),
+               cmake,
                debhelper-compat (= 13),
                gnupg <!nocheck>,
+               libbotan-2-dev,
+               libgcrypt20-dev,
+               libnss3-dev,
+               libpkcs11-helper1-dev,
                libsasl2-dev,
-               libssl-dev (>= 1.1.1~),
+               libssl-dev,
                openssl <!nocheck>,
+               pkg-kde-tools (>= 0.15.16),
                pkgconf,
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.14.0~),
+               qt6-5compat-dev,
                qt6-base-dev,
-               qt6-5compat-dev,
-Build-Depends-Indep: doxygen,
-                     graphviz,
+               qtbase5-dev
+Build-Depends-Indep: doxygen, graphviz
 Build-Conflicts: libqca2-dev, qca-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://userbase.kde.org/QCA
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qca2.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qca2
+Vcs-Git: https://invent.kde.org/neon/extras/qca2.git
+Vcs-Browser: https://invent.kde.org/neon/extras/qca2
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqca-qt5-2
 Architecture: any
@@ -89,6 +92,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqca-qt6-2-plugins (<< 2.3.6-3)
+Replaces: libqca-qt6-2-plugins (<< 2.3.6-3)
 Description: QCA plugins for libqca2 [Qt 6]
  This plugin provides cryptographic as well as helper plugins for Qt
  Cryptographic Architecture (QCA).
@@ -112,6 +117,8 @@
 Architecture: any
 Depends: libqca-qt6-2 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
 Suggests: libqca2-doc (= ${source:Version})
+Breaks: libqca-qt6-2-dev (<< 2.3.6-3)
+Replaces: libqca-qt6-2-dev (<< 2.3.6-3)
 Description: development files for the Qt Cryptographic Architecture [Qt 6]
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
  platform API for a range of cryptographic features, including SSL/TLS,
@@ -133,3 +140,17 @@
  .
  This package contains documentation for developers working with the
  Qt Cryptographic Architecture.
+
+Package: libqca-qt6-2-plugins
+Architecture: any
+Multi-Arch: same
+Depends: libqca-qt6-2, ${misc:Depends}, ${shlibs:Depends}
+Description: QCA plugin transitional
+ Dummy empty transitional
+
+Package: libqca-qt6-2-dev
+Architecture: any
+Multi-Arch: same
+Depends: libqca-qt6-dev, ${misc:Depends}, ${shlibs:Depends}
+Description: QCA plugin transitional
+ Dummy empty transitional
