=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
 
-COMMON_CMAKE_ARGS = -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DWITH_botan_PLUGIN=NO -DWITH_gcrypt_PLUGIN=NO -DWITH_nss_PLUGIN=NO -DWITH_pkcs11_PLUGIN=NO
+COMMON_CMAKE_ARGS = -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 %:
 	dh $@ --builddirectory=build
